Subject: bug#74316: libpixbufloader-heif.so from libheif not loaded by gdk-pixbuf when running Ristretto?

From: [email-masked]
Date: Mon, 11 Nov 2024 16:48:40 +0000

hello, 

I installed libheif to view heic images, but Ristretto returns 'unsupported MIME type' when opening the file. However my file 
manager Thunar displays heic thumbnails and the correct type, and heif-convert works from the command line. 

I discovered that if I manually create a gdk-pixbuf loaders file, then Ristretto can display the heic image:

george@dunstan ~/Downloads$ gdk-pixbuf-query-loaders 
   /gnu/store/wvz8dzjnvgalhh74ayss6j0n1fn20ffy-libheif-1.17.6/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-heif.so 
   >> my-pixbuf-loaders && 
   gdk-pixbuf-query-loaders 
   >> my-pixbuf-loaders
george@dunstan ~/Downloads$ export GDK_PIXBUF_MODULE_FILE=my-pixbuf-loaders
george@dunstan ~/Downloads$ ristretto TWNBAY_Eb
george@dunstan ~/Downloads$

This seems similar to issues https://issues.guix.gnu.org/63427 and https://issues.guix.gnu.org/63853. 

Should installing libheif do something differently to make the loader available or is this a config problem specific to my system?

thanks, George